﻿namespace ReportingServices.Shared.Models.ProductionReport
{
    public class ManualReportEntries
    {
        public DayOfWeek Day { get; set; }
        public DateTime Date { get; set; }
        public int OperatorHeadcountDays { get; set; }
        public int OperatorHeadcountNights { get; set; }
        public int OperatorCallOutsDays { get; set; }
        public int OperatorCallOutsNights { get; set; }
        public int EngineeringHeadcountDays { get; set; }
        public int EngineeringHeadcountNights { get; set; }
        public int EngineeringCallOutsDays { get; set; }
        public int EngineeringCallOutsNights { get; set; }
        public int MaintenanceHeadcountDays { get; set; }
        public int MaintenanceHeadcountNights { get; set; }
        public int MaintenanceCallOutsDays { get; set; }
        public int MaintenanceCallOutsNights { get; set; }
        public string BottleChanges { get; set; }
        public string DailyPartChanges { get; set; }
        public string WeeklyPartChanges { get; set; }
        public int ASMSingleLoadLock { get; set; }
        public int HTRSingleLoadLock { get; set; }
        public int ASMUnloadTempsLessThan700 { get; set; }
        public int HTRUnloadTempsLessThan700 { get; set; }
    }
}
